
# if you want interactive select version
# switch to 1 "selectver" parameter in the follow line
%define selectver 0
%define rel alt2
%define TARNAME	NVIDIA_GLX
%define binPkgName %TARNAME

# Select version script
Source2: NVIDIA-select_version

%define versions 1.0-1251 1.0-1512 1.0-1541 1.0-2313 1.0-2802 1.0-2880 1.0-2960 1.0-3123 1.0-4191
%{expand:%%define verrel 	%(%SOURCE2 "%selectver %versions")}

Source: ftp://ftp1.detonator.nvidia.com/pub/drivers/english/XFree86_40/%TARNAME-%verrel.tar.gz


%define VERSION %(echo "%verrel"|cut -d- -f1)
%define RELEASE %(echo "%verrel"|cut -d- -f2)

%define xlibdir /usr/X11R6/lib
%define exts /modules/extensions
%define drvs /modules/drivers

%define myGroup System/Kernel and hardware
%define mySummary NVIDIA module and OpenGL libraries for XFree86 4.0 X server
%define myUrl http://www.nvidia.com
%define myVendor NVIDIA Corp.
%define myLicense NVIDIA


Name: %{binPkgName}_SRC
%if %selectver
Version: ALL
%else
Version: %VERSION.%RELEASE
%endif
Release: %rel

Group: %myGroup
Summary: %mySummary
Url: %myUrl
Vendor: %myVendor
License: %myLicense
%description
Source rpm for %binPkgName package


%package -n %binPkgName
Version: %VERSION.%RELEASE
Release: %rel

Requires: XFree86-server >= 4.0.3
Requires: libGLwrapper
%if %selectver
Requires: NVIDIA_kernel >= %version
%else
Requires: NVIDIA_kernel = %version
%endif
Provides: libGL

Group: %myGroup
Summary: %mySummary
Url: %myUrl
Vendor: %myVendor
License: %myLicense
%description -n %binPkgName
NVIDIA XFree86 4.0 server module and OpenGL 1.2 libraries for RIVA TNT/TNT2
and GeForce/Quadro based video cards.  Older RIVA 128 based video cards are
supported by the server module shipping with XFree86 4.0, nv_drv.o. You
should install this package if you have one of the newer cards.

You must also install the nvidia-kernel package if you want
NVIDIA module and OpenGL libraries for XFree86 4.0 X server.


%prep
%setup -q -n %TARNAME-%VERSION-%RELEASE

%build

%install
%set_strip_method none

mkdir -p %buildroot/%xlibdir/%drvs
mkdir -p %buildroot/%xlibdir/%exts

install usr/X11R6/lib/%drvs/nvidia_drv.o      %buildroot/%xlibdir/%drvs/
install usr/X11R6/lib/%exts/libglx.so.%version %buildroot/%xlibdir/%exts/libglx.so.nvidia
install usr/lib/libGLcore.so.%version %buildroot/%xlibdir/libGLcore.so.nvidia
install usr/lib/libGL.so.%version  %buildroot/%xlibdir/libGL.so.nvidia

ln -s libglx.so.nvidia %buildroot/%xlibdir/%exts/libglx.so
ln -s libGLcore.so.1 %buildroot/%xlibdir/libGLcore.so

%post -n %binPkgName -p /sbin/ldconfig

%postun -n %binPkgName -p /sbin/ldconfig

%files -n %binPkgName
%defattr (0555, root, root)
%xlibdir/%drvs/nvidia_drv.o
%xlibdir/%exts/libglx.so
%xlibdir/%exts/libglx.so.nvidia
%xlibdir/libGLcore.so.nvidia
%xlibdir/libGLcore.so.1
%xlibdir/libGL.so.nvidia

%doc usr/share/doc/*
%doc usr/include

%changelog
* Fri Dec 20 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.4191-alt2
- fix link to %xlibdir/%exts/libglx.so

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.4191-alt1
- new version

* Fri Sep 13 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.3123-alt1
- new version

* Thu Jun 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.2960-alt1
- new version

* Fri Mar 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.2802-alt1
- new version

* Fri Feb 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.2313-alt1
- prepare for Sisyphus

* Thu Jan 31 2002 Sergey V Turchin <zerg@altlinux.ru> ALL-alt2
- fix requires
- cleanup spec

* Tue Jan 29 2002 Sergey V Turchin <zerg@altlinux.ru> ALL-alt1
- add interactive build

* Sat Dec 29 2001 Ivan Zakharyaschev <imz@altlinux.ru> 1.0.2313-alt3
- fix requires version (add 1.0 prefix)

* Tue Dec 18 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0.2313-alt2
- Fixed requires as kernel_version of this driver is 2314

* Wed Dec 05 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.2313-alt1
- new version

* Thu Jun 14 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.1251-alt5
- changed pakage name to nvidiaGL

* Fri Jun 08 2001 Sergey V Turchin <zerg@altlinux.ru> 1.0.1251-alt4
- fix requires

* Wed May 23 2001 Sergey V Turchin <zerg@altlinux.ru>
- first build
